/*
 * MWS Admin v1.5 - Table Stylesheet
 * This file is part of MWS Admin, an Admin template build for sale at ThemeForest.
 * All copyright to this file is hold by Mairel Theafila <maimairel@yahoo.com> a.k.a nagaemas on ThemeForest.
 * Last Updated:
 * April 29, 2012
 *
 * Table of Contents
 * ==================================================
 *
 * 1. General Table Styling
 * 2. Data Table Styling
 *
 */

/* (1) General Table Styling
================================================== */

table.mws-table
{
	width:100%;
	margin:0;
	border:0;
	border-collapse:collapse;
}

table.mws-table thead tr
{
	background:url(../../images/core/mws-table-header.png) repeat-x left bottom #f5f5f5;
}

table.mws-table thead tr th:first-child
{
	border-left:none;
}

table.mws-table thead tr th
{
	padding:10px 16px;
	border-bottom:1px solid #cccccc;
	border-left:1px solid #cccccc;
}

table.mws-table tbody td, 
table.mws-table tfoot td
{
	padding:8px 16px;
	border-left-width:1px;
	border-left-style:dotted;
	border-left-color:#bebebe !important;
}

table.mws-table tbody td:first-child, 
table.mws-table tfoot td:first-child
{
	border-left:none;
}

table.mws-table tbody tr.odd
{
	background-color:#f2f2f2;
}

table.mws-table tbody tr.even
{
	background-color:#fafafa;
}

table.mws-table tbody tr.odd td.sorting_1
{
	background-color:#cccccc; 
}

table.mws-table tbody tr.even td.sorting_1
{
	background-color:#e1e1e1;
}

/* (2) Data Table Styling
================================================== */

div.dataTables_wrapper
{
	background:#444444;
}

.dataTables_wrapper table thead th.sorting, 
.dataTables_wrapper table thead th.sorting_asc, 
.dataTables_wrapper table thead th.sorting_desc
{
	cursor:pointer;
}

.dataTables_wrapper table thead th.sorting_asc, 
.dataTables_wrapper table thead th.sorting_desc, 
.dataTables_wrapper table thead th.sorting
{
	background-position:12px center;
	background-repeat:no-repeat;
	padding-left:30px;
}

.dataTables_wrapper table thead th.sorting
{
	background-image:url(../../images/core/sort.png);
}

.dataTables_wrapper table thead th.sorting_asc
{
	background-image:url(../../images/core/sort_asc.png);
}

.dataTables_wrapper table thead th.sorting_desc
{
	background-image:url(../../images/core/sort_desc.png);
}

div.dataTables_wrapper:before,
div.dataTables_wrapper:after
{
	content: '.';
	display: block;
	overflow: hidden;
	visibility: hidden;
	font-size: 0;
	line-height: 0;
	width: 0;
	height: 0;
}

div.dataTables_wrapper:after
{
	clear: both;
}

div.dataTables_wrapper
{
	zoom: 1;
}

div.dataTables_wrapper .dataTables_length, 
div.dataTables_wrapper .dataTables_filter, 
div.dataTables_wrapper .dataTables_info, 
div.dataTables_wrapper .dataTables_paginate
{
	padding:8px;
}

div.dataTables_wrapper .dataTables_length
{
	float:left;
}

div.dataTables_wrapper .dataTables_filter
{
	background-color:#cccccc;
	text-align:right;
	border-bottom:1px solid #aaaaaa;
}

div.dataTables_wrapper .dataTables_info
{
	color:#ffffff;
	float:left;
	margin-top:2px;
	display:block;
}

div.dataTables_wrapper .dataTables_paginate 
{
	color:#ffffff;
	float:right;
	padding:2px;
	margin:10px 8px 10px 0;
	
	background-repeat:repeat;
	background-image:url(../../images/core/mws-inset.png);
	
	/* CSS 3 */
	
	-webkit-border-radius:4px;
	-moz-border-radius:4px;
	-o-border-radius:4px;
	-khtml-border-radius:4px;
	border-radius:4px;
	
	-webkit-box-shadow:0px 1px 0px rgba(255, 255, 255, 0.15), inset 0px 1px 2px rgba(0, 0, 0, 0.5);
	-moz-box-shadow:0px 1px 0px rgba(255, 255, 255, 0.15), inset 0px 1px 2px rgba(0, 0, 0, 0.5);
	-o-box-shadow:0px 1px 0px rgba(255, 255, 255, 0.15), inset 0px 1px 2px rgba(0, 0, 0, 0.5);
	-khtml-box-shadow:0px 1px 0px rgba(255, 255, 255, 0.15), inset 0px 1px 2px rgba(0, 0, 0, 0.5);
	box-shadow:0px 1px 0px rgba(255, 255, 255, 0.15), inset 0px 1px 2px rgba(0, 0, 0, 0.5);
}

div.dataTables_wrapper .dataTables_paginate .paginate_disabled_previous, 
div.dataTables_wrapper .dataTables_paginate .paginate_enabled_previous, 
div.dataTables_wrapper .dataTables_paginate .paginate_disabled_next, 
div.dataTables_wrapper .dataTables_paginate .paginate_enabled_next
{
	width:20px;
	height:20px;
	text-indent:-9999px;
	float:left;
	display:block;
	cursor:pointer;
	outline:none;
}

div.dataTables_wrapper .dataTables_paginate .paginate_disabled_previous, 
div.dataTables_wrapper .dataTables_paginate .paginate_enabled_previous
{
	background-image:url(../../images/core/arrow-left.png);
	background-repeat: no-repeat;
	background-position: center center;
	
	margin-right:1px;
	
	-webkit-border-radius:4px 0 0 4px;
	-moz-border-radius:4px 0 0 4px;
	-o-border-radius:4px 0 0 4px;
	-khtml-border-radius:4px 0 0 4px;
	border-radius:4px 0 0 4px;
}


div.dataTables_wrapper .dataTables_paginate .paginate_disabled_next, 
div.dataTables_wrapper .dataTables_paginate .paginate_disabled_previous
{
	opacity:.35;
	filter:Alpha(35);
	cursor:auto;
}

div.dataTables_wrapper .dataTables_paginate .paginate_disabled_next, 
div.dataTables_wrapper .dataTables_paginate .paginate_enabled_next
{
	background-image:url(../../images/core/arrow-right.png);
	background-repeat: no-repeat;
	background-position: center center;
	
	-webkit-border-radius:0 4px 4px 0;
	-moz-border-radius:0 4px 4px 0;
	-o-border-radius:0 4px 4px 0;
	-khtml-border-radius:0 4px 4px 0;	
	border-radius:0 4px 4px 0;
}

div.dataTables_wrapper .dataTables_paginate .first
{	
	-webkit-border-radius:2px 0 0 2px;
	-moz-border-radius:2px 0 0 2px;
	-o-border-radius:2px 0 0 2px;
	-khtml-border-radius:2px 0 0 2px;
	border-radius:2px 0 0 2px;
}

div.dataTables_wrapper .dataTables_paginate .last
{
	-webkit-border-radius:0 2px 2px 0;
	-moz-border-radius:0 2px 2px 0;
	-o-border-radius:0 2px 2px 0;
	-khtml-border-radius:0 2px 2px 0;
	border-radius:0 2px 2px 0;
}
#paginator{ float: right;
    margin: 10px 0;}
#paginator a{color:#fff}
#paginator strong{
    background-color: #C5D52B;
	float:left;
	height:20px;
	padding:0 10px;
	display:block;
	font-size:12px;
	line-height:20px;
	text-align:center;
	cursor:pointer;
	outline:none;
	
	
	border-right:1px solid #232323;
	border-left:1px solid #666666;
	
	border-right:1px solid rgba(0, 0, 0, 0.5);
	border-left:1px solid rgba(255, 255, 255, 0.15);

	-webkit-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	-o-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	-moz-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	-khtml-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	color:#000;
}
div.dataTables_wrapper .dataTables_paginate .paginate_button, 
div.dataTables_wrapper .dataTables_paginate .paginate_active,#paginator a 
{
	float:left;
	height:20px;
	padding:0 10px;
	display:block;
	font-size:12px;
	line-height:20px;
	text-align:center;
	cursor:pointer;
	outline:none;
	background-color:#444444;
	
	border-right:1px solid #232323;
	border-left:1px solid #666666;
	
	border-right:1px solid rgba(0, 0, 0, 0.5);
	border-left:1px solid rgba(255, 255, 255, 0.15);

	-webkit-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	-o-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	-moz-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	-khtml-box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
	box-shadow:0px 1px 0px rgba(0, 0, 0, 0.5), inset 0px 1px 0px rgba(255, 255, 255, 0.15);
}

div.dataTables_wrapper .dataTables_paginate .paginate_button:first-child
{
	border-left:0;
}

div.dataTables_wrapper .dataTables_paginate .paginate_button:last-child
{
	border-right:0;
}

div.dataTables_wrapper .dataTables_paginate .paginate_button_disabled
{
	color:#666666;
	cursor:default;
}

div.dataTables_wrapper .dataTables_paginate .paginate_active
{
	color:#323232;
	border:none;
	background-image:none;
	
	-webkit-box-shadow:inset 0px 0px 4px rgba(0, 0, 0, 0.25);
	-moz-box-shadow:inset 0px 0px 4px rgba(0, 0, 0, 0.25);
	-o-box-shadow:inset 0px 0px 4px rgba(0, 0, 0, 0.25);
	-khtml-box-shadow:inset 0px 0px 4px rgba(0, 0, 0, 0.25);	
	box-shadow:inset 0px 0px 4px rgba(0, 0, 0, 0.25);
}
